Contracts
Get contracts
Retrieve a paginated list of all contracts deployed on Starknet. Contracts are deployed from classes.
GET
/
contracts
Get contracts
curl --request GET \
--url https://public-api.voyager.online/beta/contracts \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api.voyager.online/beta/contracts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api.voyager.online/beta/contracts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.voyager.online/beta/contracts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.voyager.online/beta/contracts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.voyager.online/beta/contracts")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.voyager.online/beta/contracts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"address": "0x07b7196ce28756a07a1e874947cce4696425060108fd2ca1cee054e46a00865b",
"blockNumber": 1655799,
"isAccount": true,
"isErcToken": false,
"isProxy": false,
"type": "Ready",
"creationTimestamp": 1753890591,
"verifiedTimestamp": 1732798981,
"classAlias": "Ready",
"contractAlias": null,
"classHash": "0x036078334509b514626504edc9fb252328d1a240e4e948bef8d0c08dff45927f",
"version": "2.6.3",
"blockHash": "0x5123420d1ff254b138eb0efb446db8d3b9a5ae8cd842697d1559ff1ed039c1e"
}
],
"lastPage": 1
}{
"error": "<string>"
}{
"message": "Forbidden"
}{
"message": "Limit Exceeded"
}Authorizations
API key for authentication. Get your key at https://voyager.online/plans
Query Parameters
Page number. Defaults to 1.
Number of items per page. Available options: 10, 25, 50, 100.
Filter by contract type. Case-insensitive.
Available options:
account, erc20, erc721, erc1155, unknown, proxy ⌘I
Get contracts
curl --request GET \
--url https://public-api.voyager.online/beta/contracts \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api.voyager.online/beta/contracts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api.voyager.online/beta/contracts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.voyager.online/beta/contracts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.voyager.online/beta/contracts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.voyager.online/beta/contracts")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.voyager.online/beta/contracts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"address": "0x07b7196ce28756a07a1e874947cce4696425060108fd2ca1cee054e46a00865b",
"blockNumber": 1655799,
"isAccount": true,
"isErcToken": false,
"isProxy": false,
"type": "Ready",
"creationTimestamp": 1753890591,
"verifiedTimestamp": 1732798981,
"classAlias": "Ready",
"contractAlias": null,
"classHash": "0x036078334509b514626504edc9fb252328d1a240e4e948bef8d0c08dff45927f",
"version": "2.6.3",
"blockHash": "0x5123420d1ff254b138eb0efb446db8d3b9a5ae8cd842697d1559ff1ed039c1e"
}
],
"lastPage": 1
}{
"error": "<string>"
}{
"message": "Forbidden"
}{
"message": "Limit Exceeded"
}